Page MenuHomePhabricator

efl_interface : stablized Efl_Model_Children_Event
ClosedPublic

Authored by SanghyeonLee on Dec 10 2019, 11:05 PM.

Details

Summary

for mvvm publishing, this structure need to be out of beta.
Depends on D10855

Diff Detail

Repository
rEFL core/efl
Branch
master
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 14910
Build 10260: arc lint + arc unit
SanghyeonLee created this revision.Dec 10 2019, 11:05 PM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

SanghyeonLee requested review of this revision.Dec 10 2019, 11:05 PM

By doing so, we decide that all index for MVVM are uint. I am fine with that. Is it understood by everyone and agreed to?

SanghyeonLee added a comment.EditedDec 11 2019, 11:23 PM

I'm more prefer to have abstract way to indicate the item as index can be changed by inputs,
but it's time to decide whether we go with int or not...
still int index is widely used for indicate the item in gui frameworks,
I think user fully understand that they need to tracking input changes to get the right item.

should we ask the opinion on the mailing list or irc?

I think I have seen commits using uint everywhere (instead of uin64) so I guess this decision has already been made? @cedric ?

agreed.
now everywhere we can see the unit for model,
and to change this, we should change all of them and I don't think it is doable thing as most of them are already stabilized.

Ok, we are moving everything to uint. So here we go.

cedric accepted this revision.Dec 19 2019, 4:22 PM
This revision is now accepted and ready to land.Dec 19 2019, 4:22 PM
This revision was automatically updated to reflect the committed changes.